summaryrefslogtreecommitdiff
path: root/tools
diff options
context:
space:
mode:
authorRob Cresswell <robert.cresswell@outlook.com>2017-07-11 14:19:57 +0100
committerRob Cresswell <robert.cresswell@outlook.com>2017-09-27 12:06:57 +0100
commite3e5812b1941ba689849630a0f6e5ffd7f598e1c (patch)
tree4516266b6ba69d3ce34b399a22de1cd938db9f3b /tools
parentfc3f3195ec7a8510dc6720a257dabf33ad5449a2 (diff)
downloadhorizon-e3e5812b1941ba689849630a0f6e5ffd7f598e1c.tar.gz
Add Django OpenStack Auth to Horizon
Moves Django OpenStack Auth content to Horizon, since they are so tightly coupled. This cleans up the development workflow and should make keystone / auth related contributions easier. Implements: blueprint merge-openstack-auth Change-Id: Ia1cdc47bad1ca6e633073a9f9445b0c7f70d05bc
Diffstat (limited to 'tools')
-rwxr-xr-xtools/unit_tests.sh7
1 files changed, 6 insertions, 1 deletions
diff --git a/tools/unit_tests.sh b/tools/unit_tests.sh
index 05480a205..da2fe2432 100755
--- a/tools/unit_tests.sh
+++ b/tools/unit_tests.sh
@@ -22,6 +22,8 @@ if [ -n "$subset" ]; then
elif [ $project == "openstack_dashboard" ]; then
$testcommand --settings=openstack_dashboard.test.settings \
--exclude-dir=openstack_dashboard/test/integration_tests $posargs
+ elif [ $project == "openstack_auth" ]; then
+ $testcommand --settings=openstack_auth.tests.settings $posargs
fi
else
$testcommand horizon --settings=horizon.test.settings $posargs
@@ -29,8 +31,11 @@ else
$testcommand openstack_dashboard --settings=openstack_dashboard.test.settings \
--exclude-dir=openstack_dashboard/test/integration_tests $posargs
openstack_dashboard_tests=$?
+ $testcommand openstack_auth --settings=openstack_auth.tests.settings $posargs
+ auth_tests=$?
# we have to tell tox if either of these test runs failed
- if [[ $horizon_tests != 0 || $openstack_dashboard_tests != 0 ]]; then
+ if [[ $horizon_tests != 0 || $openstack_dashboard_tests != 0 || \
+ $auth_tests != 0 ]]; then
exit 1;
fi
fi